"""Tool configuration."""

from os.path import expanduser

HOME_DIR = expanduser("~")

# configuration directory for the toolbelt
CONFIG_DIR = "{}/.autonomic".format(HOME_DIR)

# SSH url for our infrastructure repository
INFRA_REPO = (
    "ssh://git@git.autonomic.zone:222/autonomic-cooperative/infrastructure.git"
)

# infrastructure directory
INFRA_DIR = "{}/infrastructure".format(CONFIG_DIR)

# list of autonomic members yaml file
MEMBERS_YAML = "{}/resources/members.yml".format(INFRA_DIR)

# directory where we store our ansible action plays
ACTIONS_DIR = "{}/actions".format(INFRA_DIR)

# toolbelt configuration file
CONFIG_YAML = "{}/autonomic.yml".format(CONFIG_DIR)

# password store directory
PASS_STORE_DIR = "{}/credentials/password-store".format(INFRA_DIR)
